package cn.timer.api.bean.spmk;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Table;


/**
 * 审批草稿详情
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-08-16 14:52:01
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "spmk_approve_detail_drafts")
@ApiModel("审批草稿详情")
public class SpmkApproveDetailDrafts extends Model<SpmkApproveDetailDrafts> {
	private static final long serialVersionUID = 1L;

	/**
	* 编号
	*/
	private Integer id;
	/**
	* 审批汇总id
	*/
	private Integer approveSummaryId;
	/**
	* 标题
	*/
	private String name;
	/**
	* 所在部门名称
	*/
	private String departmentName;
	/**
	* 申请数据
	*/
	private String requestData;
	/**
	* 审批表单
	*/
	private String froms;
	/**
	* 审批流程
	*/
	private String router;
	/**
	* 通过节点
	*/
	private String flowChildren;

	/**
	 * 设置：编号
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：编号
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：审批汇总id
	 */
	public void setApproveSummaryId(Integer approveSummaryId) {
		this.approveSummaryId = approveSummaryId;
	}
	/**
	 * 获取：审批汇总id
	 */
	public Integer getApproveSummaryId() {
		return approveSummaryId;
	}
	/**
	 * 设置：标题
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * 获取：标题
	 */
	public String getName() {
		return name;
	}
	/**
	 * 设置：所在部门名称
	 */
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	/**
	 * 获取：所在部门名称
	 */
	public String getDepartmentName() {
		return departmentName;
	}
	/**
	 * 设置：申请数据
	 */
	public void setRequestData(String requestData) {
		this.requestData = requestData;
	}
	/**
	 * 获取：申请数据
	 */
	public String getRequestData() {
		return requestData;
	}
	/**
	 * 设置：审批表单
	 */
	public void setFroms(String froms) {
		this.froms = froms;
	}
	/**
	 * 获取：审批表单
	 */
	public String getFroms() {
		return froms;
	}
	/**
	 * 设置：审批流程
	 */
	public void setRouter(String router) {
		this.router = router;
	}
	/**
	 * 获取：审批流程
	 */
	public String getRouter() {
		return router;
	}
	/**
	 * 设置：通过节点
	 */
	public void setFlowChildren(String flowChildren) {
		this.flowChildren = flowChildren;
	}
	/**
	 * 获取：通过节点
	 */
	public String getFlowChildren() {
		return flowChildren;
	}
}
