/**  
* <p>Title: CrmClientDataMapper.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年6月5日  
* @version 1.0  
*/
package cn.timer.api.dao.crm;

import java.util.List;

import cn.timer.api.dto.crm.CrmCartogramCountExportDto;
import org.springframework.web.bind.annotation.RequestParam;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.crm.CrmClientData;
import cn.timer.api.dto.crm.CrmCartogramDto;

/**
 * Title: CrmClientDataMapper.java Description:
 * 
 * @author dsc
 * @date 2020年6月5日
 * @version 1.0
 */
public interface CrmClientDataMapper extends BaseMapper<CrmClientData> {

	List<CrmCartogramDto> crmCartogram(@RequestParam("orgCode") Integer orgCode,
			@RequestParam(name = "belongUser", required = false) Integer belongUser,
			@RequestParam(name = "belongGroup", required = false) Integer belongGroup,
			@RequestParam(name = "startCreateTime", required = false) String startCreateTime,
			@RequestParam(name = "endCreateTime", required = false) String endCreateTime);


	List<CrmCartogramCountExportDto> selectCrmCartogramCount(@RequestParam("orgCode") Integer orgCode,
												  @RequestParam(name = "belongUser", required = false) Integer belongUser,
												  @RequestParam(name = "belongGroup", required = false) Integer belongGroup,
												  @RequestParam(name = "startCreateTime", required = false) String startCreateTime,
												  @RequestParam(name = "endCreateTime", required = false) String endCreateTime);

	List<Integer> selectLzygCrmClientData();
}
