package cn.timer.api.dao.spmk;

import java.util.List;

import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.spmk.SpmkApproveExecuteRecord;

/**
 * 审批执行记录
 *
 * @author Tang 2020-04-17
 */
@Repository
public interface SpmkApproveExecuteRecordMapper extends BaseMapper<SpmkApproveExecuteRecord> {

	List<SpmkApproveExecuteRecord> selectListByAsId(@Param("id") Integer id);
	int delExecuteRecord(@Param("recordId") Integer recordId,@Param("approveSummaryId") Integer approveSummaryId);
	SpmkApproveExecuteRecord selectExecuteRecordById(@Param("userId") Integer userId,@Param("approveSummaryId") Integer approveSummaryId);
	int delExecuteRecordByRecordIds(@Param("id") Integer id, @Param("uid")Integer uid);
	SpmkApproveExecuteRecord selectExecuteRecordReoId(@Param("reoId") Integer reoId,@Param("approveSummaryId") Integer approveSummaryId);

}
