/**  
* Title: CrmCartogramDto.java 
* Description: 
* @author dsc  
* @date 2020年6月22日  
* @version 1.0  
*/
package cn.timer.api.dto.crm;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 *
 * @author wuqingjun
 * @date 2023年4月12日
 * @version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CrmCartogramCountExportDto implements Serializable {
	private static final long serialVersionUID = -4445892627839823485L;
	private Integer provinceId;
	/**
	 * 归属人姓名
	 */
	private String belongUserName;
	/**
	 * 潜在
	 */
	private Integer potential;
	/**
	 * 意向
	 */
	private Integer intention;
	/**
	 * 签约
	 */
	private Integer signing;
	/**
	 * 合作中
	 */
	private Integer cooperation;
	/**
	 * 已封档
	 */
	private Integer file;
}
