package cn.timer.api.dto.qyxx;

import cn.timer.api.utils.Page;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


import java.io.Serializable;
import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CmsContentReadDto extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号", example = "1")
    private Integer id;

    @ApiModelProperty(value = "企业讯息主表ID", example = "101")
    private Integer cmsContentId;

    @ApiModelProperty(value = "留言/意见反馈", example = "")
    private String reviewContent;

    @ApiModelProperty(value = "留言/意见反馈时间", example = "")
    private Date reviewTime;

    @ApiModelProperty(value = "组织机构代码", example = "1")
    private Integer orgCode;

    @ApiModelProperty(value = "用户ID", example = "1")
    private Integer userId;

    @ApiModelProperty(value = "用户姓名", example = "张三")
    private String userName;

    @ApiModelProperty(value = "阅读标记0.未读 1.已读", example = "0")
    private Integer readStatus;

    @ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除", example = "0")
    private Integer deleteFlag;

    @ApiModelProperty(value = "创建时间", example = "")
    private Date createTime;

    @ApiModelProperty(value = "更新时间", example = "")
    private Date updateTime;

    @ApiModelProperty(value = "附件索引", example = "")
    private Integer fileIndex;
}
